Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#15222 - List of [community] packages that needs rebuild for libjpeg

Attached to Project: Community Packages
Opened by Gerardo Exequiel Pozzi (djgera) - Tuesday, 23 June 2009, 04:27 GMT
Last edited by Sergej Pupykin (sergej) - Friday, 17 July 2009, 08:01 GMT
Task Type Bug Report
Category
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 9
Private No

Details

http://www.archlinux.org/pipermail/arch-dev-public/2009-June/012132.html

[arch-dev-public] Preparing for libjpeg update
Allan McRae wrote:
> Hi all,
>
> This weekend should see the release of the first update for libjpeg in several years. Everything remains API compatible so this should be just a simple rebuild... of 130 packages from [extra]. That is too many packages for any sane person and double the number of the readline rebuilds so I will need some help. I will deal with the packages that are needed as dependencies for many other packages first. The full list is given below and I will create a TODO list closer to the time so that we can keep track of what has been done.
>
> Given this is going to be a rather large rebuild, I will hold off until the readline rebuilds are moved from [testing]. I guess these can probably move before the weekend anyway.
>
> Allan

And this is the list from 83 [community] packages, sorted by maintainer and by pkgname ;)

"severity" of this task will be:
-> "very low" (no package at this moment, only for heat engines :])
-> "low" (when libjpeg package hit [testing] only "as remember")
-> "critical" (when packages really needs rebuild libjpeg hit [extra])


** REMAINS **

* sergej: (5)
amaya-11.1-1
matchbox-panel-0.9.3-2
matchbox-window-manager-1.2-1
This task depends upon

Closed by  Sergej Pupykin (sergej)
Friday, 17 July 2009, 08:01 GMT
Reason for closing:  Fixed
Comment by Peter Kraus (PetoKraus) - Saturday, 04 July 2009, 19:54 GMT
e-svn (and it's dependencies - eet-svn and evas-svn) need to be rebuilt as well...
Comment by Allan McRae (Allan) - Tuesday, 14 July 2009, 00:48 GMT
  • Field changed: Severity (Low → High)
Increased priority as libjpeg is making its way to [extra] now.
Comment by Eric Belanger (Snowman) - Tuesday, 14 July 2009, 06:25 GMT
directfb
xv
have been rebuilt

electricsheep was recently splitted. The part that needed to be rebuilt (flam3) was rebuilt too.
Comment by Allan McRae (Allan) - Tuesday, 14 July 2009, 13:53 GMT Comment by Sergej Pupykin (sergej) - Tuesday, 14 July 2009, 16:31 GMT
rebuilt:

openscenegraph-2.8.1-2
fox-legacy-1.4.35-1
openmotif-2.3.1-4
fltk2-2.0-2
xbmc-9.04.1-4
Comment by Ionut Biru (wonder) - Tuesday, 14 July 2009, 23:29 GMT
fixed:

panda3d
gambas2
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 01:30 GMT
pdf2djvu and djview4 don't need to be rebuilt.
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 01:40 GMT
fixed: netsurf
Comment by Gerardo Exequiel Pozzi (djgera) - Wednesday, 15 July 2009, 01:43 GMT
@Eric: yep yep, these new version (pdf2djvu-0.5.9-1 and djview4-4.5-1) are not linked anymore with libjpeg. Old versions (djview4-4.4-3 and pdf2djvu-0.5.8-1 was linked, maybe because the new semantic add in the linker)

Removing from list.
Comment by Sergej Pupykin (sergej) - Wednesday, 15 July 2009, 04:40 GMT
fixed:

emacs-cvs-20090518-1
tracker-0.6.95-1
wdm-1.28-2
xloadimage-4.1-6
xplanet-1.2.1-1
tksystray-0.1-2
greycstoration-2.9-1
musicmanager-0.10.3-1
fbreader-0.10.5-1
dillo-2.1-1
avifile-0.7.45-3
perl-gd-2.41-1
Comment by ugaciaka (ugaciaka) - Wednesday, 15 July 2009, 08:16 GMT
I have problem with:

thunar
xfburn

and xfce (not dislapy a wallpaper desktop and i not show xfce menu)
Comment by Corrado Primier (bardo) - Wednesday, 15 July 2009, 08:28 GMT
Fixed mldonkey, removing myself from list and assignees.

@ugaciaka: I also had the problem with thunar, 1.0.1-3 didn't work, but I noticed that in the repos there was 1.0.1-2, I tried to install it and it worked. Probably the pkgrel was messed up, anyway 1.0.1-4 is in the repos now. In regards to xfdesktop, still no one rebuilt it, I hope it gets done soon, it seems it was forgotten since [extra] should already be done :P
Comment by ugaciaka (ugaciaka) - Wednesday, 15 July 2009, 08:33 GMT
@bardo

Unfortunately, I can not wait and I recompiled Thunar, xfburn and xfdesktop. Now the whole xfce seems to work (but I have not tried everything ...) :-)
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 08:46 GMT
AFAIK, xfdesktop doesn't need to be rebuilt. I thing the problem was triggered by thunar wich has been fixed. If not what binary/library gives the error?
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 08:49 GMT
same thing for xfburn
$ ldd /usr/bin/xfburn |grep jpeg
libjpeg.so.7 => /usr/lib/libjpeg.so.7 (0x00007f0cd975e000)
Comment by ugaciaka (ugaciaka) - Wednesday, 15 July 2009, 08:52 GMT
@ Eric Belanger (Snowman)
xfdesktop need rebuild...or no?

ldd /usr/bin/xfdesktop|grep jpeg
libjpeg.so.7 => /usr/lib/libjpeg.so.7 (0x00007f97b3dc8000)
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 08:57 GMT
No it doesn't, unless I'm mistaken.
Comment by ugaciaka (ugaciaka) - Wednesday, 15 July 2009, 09:00 GMT
I tried not to rebuild on another pc xfdesktop ... xfce desktop does not show them the menu
Comment by Eric Belanger (Snowman) - Wednesday, 15 July 2009, 09:13 GMT
I think that's because of thunar. Make sure you have thunar 1.0.1-4
Comment by Sergej Pupykin (sergej) - Wednesday, 15 July 2009, 12:37 GMT
fixed:
freewrl-1.21.2-2
ude-0.2.9b-1
w3cam-0.7.2-5
ted-2.17-2
pwmanager-1.2.4-2
fldiff-1.1-1
grace-5.1.22-1
htmldoc-1.8.27-1
synfig-0.61.09-1
fbv-1.0b-1
gnustep-gui-0.16.0-1
tesseract-2.03-1
testdisk-6.11-1
flightgear-atlas-0.3.1-1
freedroid-1.0.2-2
freedroidrpg-0.12rc1-1
Comment by Set Killer (set_killer) - Wednesday, 15 July 2009, 12:40 GMT
Nexuiz also needs to be prebuilded.
Comment by Rick Chen (stuffcorpse) - Wednesday, 15 July 2009, 12:48 GMT
Nexuiz requires a patch, attached.
Comment by Sergej Pupykin (sergej) - Wednesday, 15 July 2009, 14:45 GMT
fixed:
cupsddk-1.2.3-4
fxdesktop-0.1.12-1
fxprocessview-0.5.0-1
gimpshop-2.2.11-4
Comment by Sergej Pupykin (sergej) - Wednesday, 15 July 2009, 14:47 GMT
These packages have some problems:

xf4vnc-xvnc-20070626-2
jwm-2.0.1-3
xnc-5.0.4-1
amaya-11.1-1

I'll fix them later, all others are done
Comment by Ronald van Haren (pressh) - Wednesday, 15 July 2009, 16:07 GMT
mmm, I won't have time to do my rebuilds until tomorrow evening. If someone has some free time, feel free to do mine, otherwise I'll do them tomorrow :-)
Comment by Douglas Soares de Andrade (dsa) - Wednesday, 15 July 2009, 16:11 GMT
Hi all,

Can someone please build tellico for me ? Im quite busy these days, so i guess i will just have the time in the weekend.

Thanks
Comment by Ionut Biru (wonder) - Wednesday, 15 July 2009, 17:14 GMT
i will do them
Comment by Dan Griffiths (Ghost1227) - Wednesday, 15 July 2009, 21:53 GMT
xaralx is deprecated... has been superseded by xaraxtreme (http://www.xaraxtreme.org/)
Comment by Dan Griffiths (Ghost1227) - Wednesday, 15 July 2009, 23:34 GMT
xaralx moved to [unsupported] per StefanHusmann's original advice
Comment by Jim Niz (linkmaster03) - Thursday, 16 July 2009, 18:19 GMT
cinelerra-cv needs to be rebuilt.
Comment by Ionut Biru (wonder) - Thursday, 16 July 2009, 18:20 GMT
@Jim can you please tell me one version of cinelerra-cv do you have?
Comment by Jim Niz (linkmaster03) - Thursday, 16 July 2009, 19:35 GMT
cinelerra-cv 20090519-1
Comment by Ionut Biru (wonder) - Thursday, 16 July 2009, 19:36 GMT
is old. a newer version is already up since yesterday.
cinelerra-cv 20090715-1
Comment by Jim Niz (linkmaster03) - Thursday, 16 July 2009, 19:49 GMT
Ah, I guess none of the mirrors I tried had the new version, but it is indeed on ftp.archlinux.org. Thanks. :)
Comment by Gerardo Exequiel Pozzi (djgera) - Friday, 17 July 2009, 00:21 GMT
Adding back evas-svn i686 is still 41104-1 in FTP (x86_64 is OK)
Also add matchbox related pkg that are not part of the original ticket. (Seems that when I sorted the pkgs by maintainer not paste all for sergej! :s)

PS: Many thanks to all people working on these rebuilds. Is a great work and effort :)
Comment by Eric Belanger (Snowman) - Friday, 17 July 2009, 00:41 GMT
FYI: I'm working on evas-svn.
Comment by Sergej Pupykin (sergej) - Friday, 17 July 2009, 08:01 GMT
fixed:
amaya-11.1-1
matchbox-panel-0.9.3-2
matchbox-window-manager-1.2-1

Loading...